diff --git c/scala/collection/mutable/Map.class w/scala/collection/mutable/Map.class
index 20fd27ecb1..a5cec49c55 100644
--- c/scala/collection/mutable/Map.class
+++ w/scala/collection/mutable/Map.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //WithDefault=class scala/collection/mutable/Map$WithDefault of class scala/collection/mutable/Map
 
 Compiled from "Map.scala"
-public interface scala.collection.mutable.Map extends scala.collection.mutable.Iterable,scala.collection.Map,scala.collection.mutable.MapLike,scala.ScalaObject{
+public interface scala.collection.mutable.Map extends scala.collection.mutable.Iterable,scala.collection.Map,scala.collection.mutable.MapLike{
 public abstract scala.collection.mutable.Map empty();
   Signature: ()Lscala/collection/mutable/Map;
 
diff --git c/scala/collection/mutable/MapBuilder.class w/scala/collection/mutable/MapBuilder.class
index d19fd34392..2cb025233b 100644
--- c/scala/collection/mutable/MapBuilder.class
+++ w/scala/collection/mutable/MapBuilder.class
@@ -1,6 +1,6 @@
 
 Compiled from "MapBuilder.scala"
-public class scala.collection.mutable.MapBuilder extends java.lang.Object implements scala.collection.mutable.Builder,scala.ScalaObject{
+public class scala.collection.mutable.MapBuilder extends java.lang.Object implements scala.collection.mutable.Builder{
 private final scala.collection.GenMap empty;
   Signature: Lscala/collection/GenMap;
 
diff --git c/scala/collection/mutable/MapLike.class w/scala/collection/mutable/MapLike.class
index f5e53e607c..01846439c1 100644
--- c/scala/collection/mutable/MapLike.class
+++ w/scala/collection/mutable/MapLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "MapLike.scala"
-public interface scala.collection.mutable.MapLike extends scala.collection.MapLike,scala.collection.mutable.Builder,scala.collection.generic.Growable,scala.collection.generic.Shrinkable,scala.collection.mutable.Cloneable,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.mutable.MapLike extends scala.collection.MapLike,scala.collection.mutable.Builder,scala.collection.generic.Shrinkable,scala.collection.mutable.Cloneable{
 public abstract scala.collection.mutable.Builder newBuilder();
   Signature: ()Lscala/collection/mutable/Builder;
 
diff --git c/scala/collection/mutable/MapProxy.class w/scala/collection/mutable/MapProxy.class
index 3c534a8ce1..71964d7250 100644
--- c/scala/collection/mutable/MapProxy.class
+++ w/scala/collection/mutable/MapProxy.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "MapProxy.scala"
-public interface scala.collection.mutable.MapProxy extends scala.collection.mutable.Map,scala.collection.MapProxyLike,scala.ScalaObject{
+public interface scala.collection.mutable.MapProxy extends scala.collection.mutable.Map,scala.collection.MapProxyLike{
 public abstract scala.collection.mutable.MapProxy repr();
   Signature: ()Lscala/collection/mutable/MapProxy;
 
diff --git c/scala/collection/mutable/MultiMap.class w/scala/collection/mutable/MultiMap.class
index 7a5f51ba33..9573151289 100644
--- c/scala/collection/mutable/MultiMap.class
+++ w/scala/collection/mutable/MultiMap.class
@@ -1,6 +1,6 @@
 
 Compiled from "MultiMap.scala"
-public interface scala.collection.mutable.MultiMap extends scala.collection.mutable.Map,scala.ScalaObject{
+public interface scala.collection.mutable.MultiMap extends scala.collection.mutable.Map{
 public abstract scala.collection.mutable.Set makeSet();
   Signature: ()Lscala/collection/mutable/Set;
 
diff --git c/scala/collection/mutable/MutableList.class w/scala/collection/mutable/MutableList.class
index a954998630..ee0f1887bd 100644
--- c/scala/collection/mutable/MutableList.class
+++ w/scala/collection/mutable/MutableList.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "MutableList.scala"
-public class scala.collection.mutable.MutableList extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.LinearSeq,scala.collection.LinearSeqOptimized,scala.collection.generic.GenericTraversableTemplate,scala.collection.mutable.Builder,scala.Serializable,scala.ScalaObject{
+public class scala.collection.mutable.MutableList extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.LinearSeq,scala.collection.LinearSeqOptimized,scala.collection.mutable.Builder,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/mutable/ObservableBuffer.class w/scala/collection/mutable/ObservableBuffer.class
index b62b6f80e7..64b4691ba8 100644
--- c/scala/collection/mutable/ObservableBuffer.class
+++ w/scala/collection/mutable/ObservableBuffer.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "ObservableBuffer.scala"
-public interface scala.collection.mutable.ObservableBuffer extends scala.collection.mutable.Buffer,scala.collection.mutable.Publisher,scala.ScalaObject{
+public interface scala.collection.mutable.ObservableBuffer extends scala.collection.mutable.Buffer,scala.collection.mutable.Publisher{
 public abstract scala.collection.mutable.ObservableBuffer scala$collection$mutable$ObservableBuffer$$super$$plus$eq(java.lang.Object);
   Signature: (Ljava/lang/Object;)Lscala/collection/mutable/ObservableBuffer;
 
diff --git c/scala/collection/mutable/ObservableMap.class w/scala/collection/mutable/ObservableMap.class
index f106e67d84..8f1cf95dc6 100644
--- c/scala/collection/mutable/ObservableMap.class
+++ w/scala/collection/mutable/ObservableMap.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "ObservableMap.scala"
-public interface scala.collection.mutable.ObservableMap extends scala.collection.mutable.Map,scala.collection.mutable.Publisher,scala.ScalaObject{
+public interface scala.collection.mutable.ObservableMap extends scala.collection.mutable.Map,scala.collection.mutable.Publisher{
 public abstract scala.collection.mutable.ObservableMap scala$collection$mutable$ObservableMap$$super$$plus$eq(scala.Tuple2);
   Signature: (Lscala/Tuple2;)Lscala/collection/mutable/ObservableMap;
 
diff --git c/scala/collection/mutable/ObservableSet.class w/scala/collection/mutable/ObservableSet.class
index c3e005da44..377e29c3b8 100644
--- c/scala/collection/mutable/ObservableSet.class
+++ w/scala/collection/mutable/ObservableSet.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "ObservableSet.scala"
-public interface scala.collection.mutable.ObservableSet extends scala.collection.mutable.Set,scala.collection.mutable.Publisher,scala.ScalaObject{
+public interface scala.collection.mutable.ObservableSet extends scala.collection.mutable.Set,scala.collection.mutable.Publisher{
 public abstract scala.collection.mutable.ObservableSet scala$collection$mutable$ObservableSet$$super$$plus$eq(java.lang.Object);
   Signature: (Ljava/lang/Object;)Lscala/collection/mutable/ObservableSet;
 
diff --git c/scala/collection/mutable/OpenHashMap$OpenEntry.class w/scala/collection/mutable/OpenHashMap$OpenEntry.class
index 31c4f87299..e7da317aae 100644
--- c/scala/collection/mutable/OpenHashMap$OpenEntry.class
+++ w/scala/collection/mutable/OpenHashMap$OpenEntry.class
@@ -2,7 +2,7 @@ InnerClasses:
 public final #= # of #; //OpenEntry=class scala/collection/mutable/OpenHashMap$OpenEntry of class scala/collection/mutable/OpenHashMap
 
 Compiled from "OpenHashMap.scala"
-public final class scala.collection.mutable.OpenHashMap$OpenEntry extends java.lang.Object implements scala.collection.mutable.HashEntry,scala.ScalaObject{
+public final class scala.collection.mutable.OpenHashMap$OpenEntry extends java.lang.Object implements scala.collection.mutable.HashEntry{
 private final java.lang.Object key;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/collection/mutable/OpenHashMap.class w/scala/collection/mutable/OpenHashMap.class
index 7c8bc6a188..c8282765d6 100644
--- c/scala/collection/mutable/OpenHashMap.class
+++ w/scala/collection/mutable/OpenHashMap.class
@@ -2,7 +2,7 @@ InnerClasses:
 public final #= # of #; //OpenEntry=class scala/collection/mutable/OpenHashMap$OpenEntry of class scala/collection/mutable/OpenHashMap
 
 Compiled from "OpenHashMap.scala"
-public class scala.collection.mutable.OpenHashMap extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map,scala.collection.mutable.MapLike,scala.ScalaObject{
+public class scala.collection.mutable.OpenHashMap extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map{
 private final int actualInitialSize;
   Signature: I
 
diff --git c/scala/collection/mutable/PriorityQueue$ResizableArrayAccess.class w/scala/collection/mutable/PriorityQueue$ResizableArrayAccess.class
index 812fc7eaca..267ba973f4 100644
--- c/scala/collection/mutable/PriorityQueue$ResizableArrayAccess.class
+++ w/scala/collection/mutable/PriorityQueue$ResizableArrayAccess.class
@@ -2,7 +2,7 @@ InnerClasses:
 public final #= # of #; //ResizableArrayAccess=class scala/collection/mutable/PriorityQueue$ResizableArrayAccess of class scala/collection/mutable/PriorityQueue
 
 Compiled from "PriorityQueue.scala"
-public final class scala.collection.mutable.PriorityQueue$ResizableArrayAccess extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.ResizableArray,scala.ScalaObject{
+public final class scala.collection.mutable.PriorityQueue$ResizableArrayAccess extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.ResizableArray{
 private java.lang.Object[] array;
   Signature: [Ljava/lang/Object;
 
diff --git c/scala/collection/mutable/PriorityQueue.class w/scala/collection/mutable/PriorityQueue.class
index a2efc3f009..53775cec83 100644
--- c/scala/collection/mutable/PriorityQueue.class
+++ w/scala/collection/mutable/PriorityQueue.class
@@ -3,7 +3,7 @@ public #= # of #; //Ops=class scala/math/Ordering$Ops of class scala/math/Orderi
 public final #= # of #; //ResizableArrayAccess=class scala/collection/mutable/PriorityQueue$ResizableArrayAccess of class scala/collection/mutable/PriorityQueue
 
 Compiled from "PriorityQueue.scala"
-public class scala.collection.mutable.PriorityQueue extends scala.collection.mutable.AbstractIterable implements scala.collection.mutable.Iterable,scala.collection.generic.GenericOrderedTraversableTemplate,scala.collection.IterableLike,scala.collection.generic.Growable,scala.collection.mutable.Builder,scala.Serializable,scala.ScalaObject,java.lang.Cloneable{
+public class scala.collection.mutable.PriorityQueue extends scala.collection.mutable.AbstractIterable implements scala.collection.mutable.Iterable,scala.collection.generic.GenericOrderedTraversableTemplate,scala.collection.mutable.Builder,scala.Serializable,java.lang.Cloneable{
 private final scala.math.Ordering ord;
   Signature: Lscala/math/Ordering;
 
diff --git c/scala/collection/mutable/PriorityQueueProxy.class w/scala/collection/mutable/PriorityQueueProxy.class
index 9de231df60..316b74fe5b 100644
--- c/scala/collection/mutable/PriorityQueueProxy.class
+++ w/scala/collection/mutable/PriorityQueueProxy.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "PriorityQueueProxy.scala"
-public abstract class scala.collection.mutable.PriorityQueueProxy extends scala.collection.mutable.PriorityQueue implements scala.Proxy,scala.ScalaObject{
+public abstract class scala.collection.mutable.PriorityQueueProxy extends scala.collection.mutable.PriorityQueue implements scala.Proxy{
 public int hashCode();
   Signature: ()I
   Code:
diff --git c/scala/collection/mutable/Queue.class w/scala/collection/mutable/Queue.class
index a60f2380a5..b656983f5d 100644
--- c/scala/collection/mutable/Queue.class
+++ w/scala/collection/mutable/Queue.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //GenericCanBuildFrom=class scala/collection/generic/GenTraversableFactory$GenericCanBuildFrom of class scala/collection/generic/GenTraversableFactory
 
 Compiled from "Queue.scala"
-public class scala.collection.mutable.Queue extends scala.collection.mutable.MutableList implements scala.collection.generic.GenericTraversableTemplate,scala.collection.mutable.Cloneable,scala.Serializable,scala.ScalaObject,java.lang.Cloneable{
+public class scala.collection.mutable.Queue extends scala.collection.mutable.MutableList implements scala.collection.generic.GenericTraversableTemplate,scala.collection.mutable.Cloneable,scala.Serializable,java.lang.Cloneable{
 public static scala.collection.generic.CanBuildFrom canBuildFrom();
   Signature: ()Lscala/collection/generic/CanBuildFrom;
   Code:
diff --git c/scala/collection/mutable/QueueProxy.class w/scala/collection/mutable/QueueProxy.class
index 353b29ecfb..a47dd7fca0 100644
--- c/scala/collection/mutable/QueueProxy.class
+++ w/scala/collection/mutable/QueueProxy.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "QueueProxy.scala"
-public interface scala.collection.mutable.QueueProxy extends scala.Proxy,scala.ScalaObject{
+public interface scala.collection.mutable.QueueProxy extends scala.Proxy{
 public abstract scala.collection.mutable.Queue self();
   Signature: ()Lscala/collection/mutable/Queue;
 
diff --git c/scala/collection/mutable/ResizableArray.class w/scala/collection/mutable/ResizableArray.class
index a056824bd8..e7e56f748d 100644
--- c/scala/collection/mutable/ResizableArray.class
+++ w/scala/collection/mutable/ResizableArray.class
@@ -1,6 +1,6 @@
 
 Compiled from "ResizableArray.scala"
-public interface scala.collection.mutable.ResizableArray extends scala.collection.mutable.IndexedSeq,scala.collection.generic.GenericTraversableTemplate,scala.collection.mutable.IndexedSeqOptimized,scala.ScalaObject{
+public interface scala.collection.mutable.ResizableArray extends scala.collection.mutable.IndexedSeq,scala.collection.mutable.IndexedSeqOptimized{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/mutable/Seq.class w/scala/collection/mutable/Seq.class
index e95f6e0f30..5cc53b4f0f 100644
--- c/scala/collection/mutable/Seq.class
+++ w/scala/collection/mutable/Seq.class
@@ -1,6 +1,6 @@
 
 Compiled from "Seq.scala"
-public interface scala.collection.mutable.Seq extends scala.collection.mutable.Iterable,scala.collection.Seq,scala.collection.generic.GenericTraversableTemplate,scala.collection.mutable.SeqLike,scala.ScalaObject{
+public interface scala.collection.mutable.Seq extends scala.collection.mutable.Iterable,scala.collection.Seq,scala.collection.mutable.SeqLike{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/mutable/SeqLike.class w/scala/collection/mutable/SeqLike.class
index ff66110896..a302b96d1d 100644
--- c/scala/collection/mutable/SeqLike.class
+++ w/scala/collection/mutable/SeqLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "SeqLike.scala"
-public interface scala.collection.mutable.SeqLike extends scala.collection.SeqLike,scala.collection.mutable.Cloneable,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.mutable.SeqLike extends scala.collection.SeqLike,scala.collection.mutable.Cloneable{
 public abstract scala.collection.parallel.Combiner parCombiner();
   Signature: ()Lscala/collection/parallel/Combiner;
 
diff --git c/scala/collection/mutable/Set.class w/scala/collection/mutable/Set.class
index 04dab3d905..1817466ee2 100644
--- c/scala/collection/mutable/Set.class
+++ w/scala/collection/mutable/Set.class
@@ -1,6 +1,6 @@
 
 Compiled from "Set.scala"
-public interface scala.collection.mutable.Set extends scala.collection.mutable.Iterable,scala.collection.Set,scala.collection.generic.GenericSetTemplate,scala.collection.mutable.SetLike,scala.ScalaObject{
+public interface scala.collection.mutable.Set extends scala.collection.mutable.Iterable,scala.collection.Set,scala.collection.mutable.SetLike{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/mutable/SetBuilder.class w/scala/collection/mutable/SetBuilder.class
index ae02eeb216..37c957ae7e 100644
--- c/scala/collection/mutable/SetBuilder.class
+++ w/scala/collection/mutable/SetBuilder.class
@@ -1,6 +1,6 @@
 
 Compiled from "SetBuilder.scala"
-public class scala.collection.mutable.SetBuilder extends java.lang.Object implements scala.collection.mutable.Builder,scala.ScalaObject{
+public class scala.collection.mutable.SetBuilder extends java.lang.Object implements scala.collection.mutable.Builder{
 private final scala.collection.Set empty;
   Signature: Lscala/collection/Set;
 
diff --git c/scala/collection/mutable/SetLike.class w/scala/collection/mutable/SetLike.class
index ed5a762ab5..67b6dca875 100644
--- c/scala/collection/mutable/SetLike.class
+++ w/scala/collection/mutable/SetLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "SetLike.scala"
-public interface scala.collection.mutable.SetLike extends scala.collection.SetLike,scala.collection.script.Scriptable,scala.collection.mutable.Builder,scala.collection.generic.Growable,scala.collection.generic.Shrinkable,scala.collection.mutable.Cloneable,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.mutable.SetLike extends scala.collection.SetLike,scala.collection.script.Scriptable,scala.collection.mutable.Builder,scala.collection.generic.Shrinkable,scala.collection.mutable.Cloneable{
 public abstract scala.collection.mutable.Builder newBuilder();
   Signature: ()Lscala/collection/mutable/Builder;
 
diff --git c/scala/collection/mutable/SetProxy.class w/scala/collection/mutable/SetProxy.class
index 191e3382db..f1ead8b3ca 100644
--- c/scala/collection/mutable/SetProxy.class
+++ w/scala/collection/mutable/SetProxy.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "SetProxy.scala"
-public interface scala.collection.mutable.SetProxy extends scala.collection.mutable.Set,scala.collection.SetProxyLike,scala.ScalaObject{
+public interface scala.collection.mutable.SetProxy extends scala.collection.mutable.Set,scala.collection.SetProxyLike{
 public abstract scala.collection.mutable.SetProxy repr();
   Signature: ()Lscala/collection/mutable/SetProxy;
 
diff --git c/scala/collection/mutable/Stack$StackBuilder.class w/scala/collection/mutable/Stack$StackBuilder.class
index 531c856371..f95fee2420 100644
--- c/scala/collection/mutable/Stack$StackBuilder.class
+++ w/scala/collection/mutable/Stack$StackBuilder.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //StackBuilder=class scala/collection/mutable/Stack$StackBuilder of class scala/collection/mutable/Stack
 
 Compiled from "Stack.scala"
-public class scala.collection.mutable.Stack$StackBuilder extends java.lang.Object implements scala.collection.mutable.Builder,scala.ScalaObject{
+public class scala.collection.mutable.Stack$StackBuilder extends java.lang.Object implements scala.collection.mutable.Builder{
 private final scala.collection.mutable.ListBuffer lbuff;
   Signature: Lscala/collection/mutable/ListBuffer;
 
diff --git c/scala/collection/mutable/Stack.class w/scala/collection/mutable/Stack.class
index f61986cf0b..834a2b1260 100644
--- c/scala/collection/mutable/Stack.class
+++ w/scala/collection/mutable/Stack.class
@@ -3,7 +3,7 @@ public #= # of #; //StackBuilder=class scala/collection/mutable/Stack$StackBuild
 public #= # of #; //GenericCanBuildFrom=class scala/collection/generic/GenTraversableFactory$GenericCanBuildFrom of class scala/collection/generic/GenTraversableFactory
 
 Compiled from "Stack.scala"
-public class scala.collection.mutable.Stack extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.Seq,scala.collection.mutable.SeqLike,scala.collection.generic.GenericTraversableTemplate,scala.collection.mutable.Cloneable,scala.Serializable,scala.ScalaObject,java.lang.Cloneable{
+public class scala.collection.mutable.Stack extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.Seq,scala.Serializable,java.lang.Cloneable{
 private scala.collection.immutable.List elems;
   Signature: Lscala/collection/immutable/List;
 
diff --git c/scala/collection/mutable/StackProxy.class w/scala/collection/mutable/StackProxy.class
index ed99715489..09d23d2378 100644
--- c/scala/collection/mutable/StackProxy.class
+++ w/scala/collection/mutable/StackProxy.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "StackProxy.scala"
-public interface scala.collection.mutable.StackProxy extends scala.Proxy,scala.ScalaObject{
+public interface scala.collection.mutable.StackProxy extends scala.Proxy{
 public abstract scala.collection.mutable.Stack self();
   Signature: ()Lscala/collection/mutable/Stack;
 
diff --git c/scala/collection/mutable/StringBuilder.class w/scala/collection/mutable/StringBuilder.class
index f10452fd24..0a18e57381 100644
--- c/scala/collection/mutable/StringBuilder.class
+++ w/scala/collection/mutable/StringBuilder.class
@@ -1,6 +1,6 @@
 
 Compiled from "StringBuilder.scala"
-public final class scala.collection.mutable.StringBuilder extends scala.collection.mutable.AbstractSeq implements java.lang.CharSequence,scala.collection.mutable.IndexedSeq,scala.collection.immutable.StringLike,scala.collection.mutable.Builder,scala.Serializable,scala.ScalaObject{
+public final class scala.collection.mutable.StringBuilder extends scala.collection.mutable.AbstractSeq implements java.lang.CharSequence,scala.collection.mutable.IndexedSeq,scala.collection.immutable.StringLike,scala.collection.mutable.Builder,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/mutable/SynchronizedBuffer.class w/scala/collection/mutable/SynchronizedBuffer.class
index 4786932b21..b59ec2329b 100644
--- c/scala/collection/mutable/SynchronizedBuffer.class
+++ w/scala/collection/mutable/SynchronizedBuffer.class
@@ -1,6 +1,6 @@
 
 Compiled from "SynchronizedBuffer.scala"
-public interface scala.collection.mutable.SynchronizedBuffer extends scala.collection.mutable.Buffer,scala.ScalaObject{
+public interface scala.collection.mutable.SynchronizedBuffer extends scala.collection.mutable.Buffer{
 public abstract int scala$collection$mutable$SynchronizedBuffer$$super$length();
   Signature: ()I
 
diff --git c/scala/collection/mutable/SynchronizedMap.class w/scala/collection/mutable/SynchronizedMap.class
index f0d0e0a978..9a64573529 100644
--- c/scala/collection/mutable/SynchronizedMap.class
+++ w/scala/collection/mutable/SynchronizedMap.class
@@ -1,6 +1,6 @@
 
 Compiled from "SynchronizedMap.scala"
-public interface scala.collection.mutable.SynchronizedMap extends scala.collection.mutable.Map,scala.ScalaObject{
+public interface scala.collection.mutable.SynchronizedMap extends scala.collection.mutable.Map{
 public abstract scala.Option scala$collection$mutable$SynchronizedMap$$super$get(java.lang.Object);
   Signature: (Ljava/lang/Object;)Lscala/Option;
 
diff --git c/scala/collection/mutable/SynchronizedSet.class w/scala/collection/mutable/SynchronizedSet.class
index 118667fcfa..9dc0b12999 100644
--- c/scala/collection/mutable/SynchronizedSet.class
+++ w/scala/collection/mutable/SynchronizedSet.class
@@ -1,6 +1,6 @@
 
 Compiled from "SynchronizedSet.scala"
-public interface scala.collection.mutable.SynchronizedSet extends scala.collection.mutable.Set,scala.ScalaObject{
+public interface scala.collection.mutable.SynchronizedSet extends scala.collection.mutable.Set{
 public abstract int scala$collection$mutable$SynchronizedSet$$super$size();
   Signature: ()I
 
diff --git c/scala/collection/mutable/Traversable$.class w/scala/collection/mutable/Traversable$.class
index 1df53765aa..01778d7ea0 100644
--- c/scala/collection/mutable/Traversable$.class
+++ w/scala/collection/mutable/Traversable$.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //GenericCanBuildFrom=class scala/collection/generic/GenTraversableFactory$GenericCanBuildFrom of class scala/collection/generic/GenTraversableFactory
 
 Compiled from "Traversable.scala"
-public final class scala.collection.mutable.Traversable$ extends scala.collection.generic.GenTraversableFactory implements scala.collection.generic.TraversableFactory,scala.ScalaObject{
+public final class scala.collection.mutable.Traversable$ extends scala.collection.generic.GenTraversableFactory implements scala.collection.generic.TraversableFactory{
 public static final scala.collection.mutable.Traversable$ MODULE$;
   Signature: Lscala/collection/mutable/Traversable$;
 
diff --git c/scala/collection/mutable/Traversable.class w/scala/collection/mutable/Traversable.class
index dab988a580..39de41d588 100644
--- c/scala/collection/mutable/Traversable.class
+++ w/scala/collection/mutable/Traversable.class
@@ -1,6 +1,6 @@
 
 Compiled from "Traversable.scala"
-public interface scala.collection.mutable.Traversable extends scala.collection.Traversable,scala.collection.generic.GenericTraversableTemplate,scala.collection.TraversableLike,scala.Mutable,scala.ScalaObject{
+public interface scala.collection.mutable.Traversable extends scala.collection.Traversable,scala.Mutable{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/mutable/UnrolledBuffer.class w/scala/collection/mutable/UnrolledBuffer.class
index 81270c7661..6b7d3c860b 100644
--- c/scala/collection/mutable/UnrolledBuffer.class
+++ w/scala/collection/mutable/UnrolledBuffer.class
@@ -3,7 +3,7 @@ public #= # of #; //Unrolled=class scala/collection/mutable/UnrolledBuffer$Unrol
 public final #= # of #; //Unrolled$=class scala/collection/mutable/UnrolledBuffer$Unrolled$ of class scala/collection/mutable/UnrolledBuffer
 
 Compiled from "UnrolledBuffer.scala"
-public class scala.collection.mutable.UnrolledBuffer extends scala.collection.mutable.AbstractBuffer implements scala.collection.mutable.Buffer,scala.collection.mutable.BufferLike,scala.collection.generic.GenericClassManifestTraversableTemplate,scala.collection.mutable.Builder,scala.Serializable,scala.ScalaObject{
+public class scala.collection.mutable.UnrolledBuffer extends scala.collection.mutable.AbstractBuffer implements scala.collection.mutable.Buffer,scala.collection.generic.GenericClassManifestTraversableTemplate,scala.collection.mutable.Builder,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/mutable/WeakHashMap.class w/scala/collection/mutable/WeakHashMap.class
index 1b6757e329..8297c60eb7 100644
--- c/scala/collection/mutable/WeakHashMap.class
+++ w/scala/collection/mutable/WeakHashMap.class
@@ -3,7 +3,7 @@ public #= # of #; //JMapWrapper=class scala/collection/JavaConversions$JMapWrapp
 public abstract #= # of #; //JMapWrapperLike=class scala/collection/JavaConversions$JMapWrapperLike of class scala/collection/JavaConversions
 
 Compiled from "WeakHashMap.scala"
-public class scala.collection.mutable.WeakHashMap extends scala.collection.JavaConversions$JMapWrapper implements scala.collection.JavaConversions$JMapWrapperLike,scala.ScalaObject{
+public class scala.collection.mutable.WeakHashMap extends scala.collection.JavaConversions$JMapWrapper implements scala.collection.JavaConversions$JMapWrapperLike{
 public static scala.collection.generic.CanBuildFrom canBuildFrom();
   Signature: ()Lscala/collection/generic/CanBuildFrom;
   Code:
diff --git c/scala/collection/mutable/WrappedArray.class w/scala/collection/mutable/WrappedArray.class
index 9d4d3e19c2..46ab0a96a6 100644
--- c/scala/collection/mutable/WrappedArray.class
+++ w/scala/collection/mutable/WrappedArray.class
@@ -11,7 +11,7 @@ public final #= # of #; //ofDouble=class scala/collection/mutable/WrappedArray$o
 public final #= # of #; //ofBoolean=class scala/collection/mutable/WrappedArray$ofBoolean of class scala/collection/mutable/WrappedArray
 
 Compiled from "WrappedArray.scala"
-public abstract class scala.collection.mutable.WrappedArray extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.IndexedSeq,scala.collection.mutable.ArrayLike,scala.collection.CustomParallelizable,scala.ScalaObject{
+public abstract class scala.collection.mutable.WrappedArray extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.IndexedSeq,scala.collection.mutable.ArrayLike,scala.collection.CustomParallelizable{
 public static scala.collection.generic.CanBuildFrom canBuildFrom(scala.reflect.ClassManifest);
   Signature: (Lscala/reflect/ClassManifest;)Lscala/collection/generic/CanBuildFrom;
   Code:
diff --git c/scala/collection/mutable/WrappedArrayBuilder.class w/scala/collection/mutable/WrappedArrayBuilder.class
index 1951cb9254..30a5022b7d 100644
--- c/scala/collection/mutable/WrappedArrayBuilder.class
+++ w/scala/collection/mutable/WrappedArrayBuilder.class
@@ -1,6 +1,6 @@
 
 Compiled from "WrappedArrayBuilder.scala"
-public class scala.collection.mutable.WrappedArrayBuilder extends java.lang.Object implements scala.collection.mutable.Builder,scala.ScalaObject{
+public class scala.collection.mutable.WrappedArrayBuilder extends java.lang.Object implements scala.collection.mutable.Builder{
 private final scala.reflect.ClassManifest manifest;
   Signature: Lscala/reflect/ClassManifest;
 
diff --git c/scala/collection/parallel/AdaptiveWorkStealingForkJoinTasks$TaskImpl.class w/scala/collection/parallel/AdaptiveWorkStealingForkJoinTasks$TaskImpl.class
index 8e7d8cd13b..340d7dba75 100644
--- c/scala/collection/parallel/AdaptiveWorkStealingForkJoinTasks$TaskImpl.class
+++ w/scala/collection/parallel/AdaptiveWorkStealingForkJoinTasks$TaskImpl.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //TaskImpl$class=class scala/collection/parallel/Adap
 public #= # of #; //TaskImpl=class scala/collection/parallel/AdaptiveWorkStealingForkJoinTasks$TaskImpl of class scala/collection/parallel/AdaptiveWorkStealingForkJoinTasks
 
 Compiled from "Tasks.scala"
-public class scala.collection.parallel.AdaptiveWorkStealingForkJoinTasks$TaskImpl extends scala.concurrent.forkjoin.RecursiveAction implements scala.collection.parallel.ForkJoinTasks$TaskImpl,scala.collection.parallel.AdaptiveWorkStealingTasks$TaskImpl,scala.ScalaObject{
+public class scala.collection.parallel.AdaptiveWorkStealingForkJoinTasks$TaskImpl extends scala.concurrent.forkjoin.RecursiveAction implements scala.collection.parallel.ForkJoinTasks$TaskImpl,scala.collection.parallel.AdaptiveWorkStealingTasks$TaskImpl{
 private final scala.collection.parallel.Tasks$Task body;
   Signature: Lscala/collection/parallel/Tasks$Task;
 
diff --git c/scala/collection/parallel/AdaptiveWorkStealingForkJoinTasks.class w/scala/collection/parallel/AdaptiveWorkStealingForkJoinTasks.class
index cbd99ad462..20e55d0f2e 100644
--- c/scala/collection/parallel/AdaptiveWorkStealingForkJoinTasks.class
+++ w/scala/collection/parallel/AdaptiveWorkStealingForkJoinTasks.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Task=class scala/collection/parallel/Tasks$Task of
 public #= # of #; //TaskImpl=class scala/collection/parallel/AdaptiveWorkStealingForkJoinTasks$TaskImpl of class scala/collection/parallel/AdaptiveWorkStealingForkJoinTasks
 
 Compiled from "Tasks.scala"
-public interface scala.collection.parallel.AdaptiveWorkStealingForkJoinTasks extends scala.collection.parallel.ForkJoinTasks,scala.collection.parallel.AdaptiveWorkStealingTasks,scala.ScalaObject{
+public interface scala.collection.parallel.AdaptiveWorkStealingForkJoinTasks extends scala.collection.parallel.ForkJoinTasks,scala.collection.parallel.AdaptiveWorkStealingTasks{
 public abstract scala.collection.parallel.AdaptiveWorkStealingForkJoinTasks$TaskImpl newTaskImpl(scala.collection.parallel.Tasks$Task);
   Signature: (Lscala/collection/parallel/Tasks$Task;)Lscala/collection/parallel/AdaptiveWorkStealingForkJoinTasks$TaskImpl;
 
